// 002 u_updown
// 14 apr 2005

// -- (C) John COLIBRI 2006
// -- documentation: http://www.jcolibri.com

(*$r+*)

unit u_updown;
  interface
    uses Classes
        , StdCtrls // tEdit
        , Controls // tWinControl
        , ComCtrls // tUpDown
        ;

    function f_c_create_updown(p_name: String;
        p_c_owner: tComponent; p_c_parent: tWinControl;
        p_left, p_top, p_width, p_height: Integer;
        p_min, p_max, p_position: Integer;
        p_c_associate_edit: tEdit): tUpDown;

  implementation
    uses SysUtils, u_c_display;

    function f_c_create_updown(p_name: String;
        p_c_owner: tComponent; p_c_parent: tWinControl;
        p_left, p_top, p_width, p_height: Integer;
        p_min, p_max, p_position: Integer;
        p_c_associate_edit: tEdit): tUpDown;
      begin
        Result:= tUpDown.Create(p_c_owner);
        with Result do
        begin
          Name:= p_name;
          Parent:= p_c_parent;
          if p_left<> -1
            then Left:= p_left;
          if p_top<> -1
            then Top:= p_top;
          if p_height<> -1
            then Height:= p_height;
          if p_width<> -1
            then Width:= p_width;
          Min:= p_min; Max:= p_max; Position:= p_position;
          Associate:= p_c_associate_edit;  
        end; // with l_c_status_panel
      end; // f_c_create_updown

    begin // u_c_control_leaf
    end. // u_c_control_leaf
